Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class ColorHighlighter

    java.lang.Object
      org.jdesktop.swingx.decorator.AbstractHighlighter
          org.jdesktop.swingx.decorator.ColorHighlighter

All Implemented Interfaces:
  Highlighter

Direct Known Subclasses:
  HighlighterFactory.UIColorHighlighter, ResetDTCRColorHighlighter, ShadingColorHighlighter

    public class ColorHighlighter

extends AbstractHighlighter

A Highlighter to modify component colors.

As of SwingX 1.6.1, `ColorHighlighter` now blends non-opaque colors. This will have little effect on previous users, who were likely to be using fully-opaque colors.

Users can select the pre-SwingX-1.6.1 behavior which replaces colors instead of blending, by using the legacy property methods. These methods were added and immediately deprecated. They exist to provide a bridge to the old behavior, but are not recommended. If you are supplying a non-opaque color and need it to be considered opaque, use `ColorUtil.removeAlpha(Color)`.

Author:
  Jeanette Winzenburg, Karl Schaefer

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`listenerList`

Constructor Summary
`ColorHighlighter()` Instantiates a ColorHighlighter with null colors and default HighlightPredicate.
`ColorHighlighter(java.awt.Color cellBackground, java.awt.Color cellForeground)` Constructs a `ColorHighlighter` with the specified background and foreground colors and null section colors.
`ColorHighlighter(java.awt.Color cellBackground, java.awt.Color cellForeground, java.awt.Color selectedBackground, java.awt.Color selectedForeground)` Constructs a `ColorHighlighter` with the specified background and foreground colors for unselected and selected cells.
`ColorHighlighter(HighlightPredicate predicate)` Instantiates a ColorHighlighter with null colors and uses the specified HighlightPredicate.
`ColorHighlighter(HighlightPredicate predicate, java.awt.Color cellBackground, java.awt.Color cellForeground)` Constructs a `ColorHighlighter` with the specified unselected colors and HighlightPredicate.
`ColorHighlighter(HighlightPredicate predicate, java.awt.Color cellBackground, java.awt.Color cellForeground, java.awt.Color selectedBackground, java.awt.Color selectedForeground)` Constructs a `ColorHighlighter` with the specified colors and HighlightPredicate.

Method Summary
`protected void` | `applyBackground(java.awt.Component renderer, ComponentAdapter adapter)` Applies a suitable background for the renderer component within the specified adapter.
`protected void` | `applyForeground(java.awt.Component renderer, ComponentAdapter adapter)` Applies a suitable foreground for the renderer component within the specified adapter.
`protected java.awt.Component` | `doHighlight(java.awt.Component renderer, ComponentAdapter adapter)` Apply the highlights.
`java.awt.Color` | `getBackground()` Returns the background color of this `ColorHighlighter`.
`java.awt.Color` | `getForeground()` Returns the foreground color of this `ColorHighlighter`.
`java.awt.Color` | `getSelectedBackground()` Returns the selected background color of this `ColorHighlighter`.
`java.awt.Color` | `getSelectedForeground()` Returns the selected foreground color of this `ColorHighlighter`.
`boolean` | `isLegacy()` Deprecated. (pre-1.6.1) see class doc, on how to workaround
`void` | `setBackground(java.awt.Color color)` Sets the background color of this `ColorHighlighter` and notifies registered ChangeListeners.
`void` | `setForeground(java.awt.Color color)` Sets the foreground color of this `ColorHighlighter` and notifies registered ChangeListeners.
`void` | `setLegacy(boolean legacy)` Deprecated. (pre-1.6.1) see class doc, on how to workaround
`void` | `setSelectedBackground(java.awt.Color color)` Sets the selected background color of this `ColorHighlighter` and notifies registered ChangeListeners.
`void` | `setSelectedForeground(java.awt.Color color)` Sets the selected foreground color of this `ColorHighlighter` and notifies registered ChangeListeners.

Methods inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`addChangeListener, areEqual, canHighlight, fireStateChanged, getChangeListeners, getHighlightPredicate, highlight, removeChangeListener, setHighlightPredicate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorHighlighter

    public ColorHighlighter()

  Instantiates a ColorHighlighter with null colors and default HighlightPredicate.

### ColorHighlighter

    public ColorHighlighter(HighlightPredicate predicate)

  Instantiates a ColorHighlighter with null colors and uses the specified HighlightPredicate.

  Parameters:
    `predicate` - the HighlightPredicate to use.

### ColorHighlighter

    public ColorHighlighter(java.awt.Color cellBackground,
                            java.awt.Color cellForeground)

  Constructs a `ColorHighlighter` with the specified background and foreground colors and null section colors. Uses the default predicate.

  Parameters:
    `cellBackground` - background color for unselected cell state
    `cellForeground` - foreground color for unselected cell state

### ColorHighlighter

    public ColorHighlighter(HighlightPredicate predicate,
                            java.awt.Color cellBackground,
                            java.awt.Color cellForeground)

  Constructs a `ColorHighlighter` with the specified unselected colors and HighlightPredicate. Initializes selected colors to null.

  Parameters:
    `predicate` - the HighlightPredicate to use.
    `cellBackground` - background color for unselected cell state
    `cellForeground` - foreground color for unselected cell state

### ColorHighlighter

    public ColorHighlighter(java.awt.Color cellBackground,
                            java.awt.Color cellForeground,
                            java.awt.Color selectedBackground,
                            java.awt.Color selectedForeground)

  Constructs a `ColorHighlighter` with the specified background and foreground colors for unselected and selected cells. Uses the default HighlightPredicate.

  Parameters:
    `cellBackground` - background color for unselected cell state
    `cellForeground` - foreground color for unselected cell state
    `selectedBackground` - background color for selected cell state
    `selectedForeground` - foreground color for selected cell state

### ColorHighlighter

    public ColorHighlighter(HighlightPredicate predicate,
                            java.awt.Color cellBackground,
                            java.awt.Color cellForeground,
                            java.awt.Color selectedBackground,
                            java.awt.Color selectedForeground)

  Constructs a `ColorHighlighter` with the specified colors and HighlightPredicate.

  Parameters:
    `predicate` - the HighlightPredicate to use.
    `cellBackground` - background color for unselected cell state
    `cellForeground` - foreground color for unselected cell state
    `selectedBackground` - background color for selected cell state
    `selectedForeground` - foreground color for selected cell state

Method Detail

### doHighlight

    protected java.awt.Component doHighlight(java.awt.Component renderer,
                                             ComponentAdapter adapter)

  Apply the highlights.

  Specified by:
    `doHighlight` in class `AbstractHighlighter`
  Parameters:
    `renderer` - the cell renderer component that is to be decorated
    `adapter` - the ComponentAdapter for this decorate operation
  See Also:
    `AbstractHighlighter.highlight(Component, ComponentAdapter)`

### applyBackground

    protected void applyBackground(java.awt.Component renderer,
                                   ComponentAdapter adapter)

  Applies a suitable background for the renderer component within the specified adapter.

  This implementation applies its background or selectedBackground color (depending on the adapter's selected state) if != null. Otherwise it does nothing.

  Parameters:
    `renderer` - the cell renderer component that is to be decorated
    `adapter` - the ComponentAdapter for this decorate operation

### applyForeground

    protected void applyForeground(java.awt.Component renderer,
                                   ComponentAdapter adapter)

  Applies a suitable foreground for the renderer component within the specified adapter.

  This implementation applies its foreground or selectedfForeground color (depending on the adapter's selected state) if != null. Otherwise it does nothing.

  Parameters:
    `renderer` - the cell renderer component that is to be decorated
    `adapter` - the ComponentAdapter for this decorate operation

### getBackground

    public java.awt.Color getBackground()

  Returns the background color of this `ColorHighlighter`.

  Returns:
    the background color of this `ColorHighlighter`, or null, if no background color has been set

### setBackground

    public void setBackground(java.awt.Color color)

  Sets the background color of this `ColorHighlighter` and notifies registered ChangeListeners.

  Parameters:
    `color` - the background color of this `Highlighter`, or null, to clear any existing background color

### getForeground

    public java.awt.Color getForeground()

  Returns the foreground color of this `ColorHighlighter`.

  Returns:
    the foreground color of this `ColorHighlighter`, or null, if no foreground color has been set

### setForeground

    public void setForeground(java.awt.Color color)

  Sets the foreground color of this `ColorHighlighter` and notifies registered ChangeListeners.

  Parameters:
    `color` - the foreground color of this `ColorHighlighter`, or null, to clear any existing foreground color

### getSelectedBackground

    public java.awt.Color getSelectedBackground()

  Returns the selected background color of this `ColorHighlighter`.

  Returns:
    the selected background color of this `ColorHighlighter`, or null, if no selected background color has been set

### setSelectedBackground

    public void setSelectedBackground(java.awt.Color color)

  Sets the selected background color of this `ColorHighlighter` and notifies registered ChangeListeners.

  Parameters:
    `color` - the selected background color of this `ColorHighlighter`, or null, to clear any existing selected background color

### getSelectedForeground

    public java.awt.Color getSelectedForeground()

  Returns the selected foreground color of this `ColorHighlighter`.

  Returns:
    the selected foreground color of this `ColorHighlighter`, or null, if no selected foreground color has been set

### setSelectedForeground

    public void setSelectedForeground(java.awt.Color color)

  Sets the selected foreground color of this `ColorHighlighter` and notifies registered ChangeListeners.

  Parameters:
    `color` - the selected foreground color of this `ColorHighlighter`, or null, to clear any existing selected foreground color

### isLegacy

    @Deprecated
    public boolean isLegacy()

  Deprecated. (pre-1.6.1) see class doc, on how to workaround

  Returns:
    legacy mode

### setLegacy

    @Deprecated
    public void setLegacy(boolean legacy)

  Deprecated. (pre-1.6.1) see class doc, on how to workaround

  Parameters:
    `legacy` - set legacy mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.